Share to group admins only gets removed on subsquent sharing updates

Bug #1674801 reported by Robert Lyon on 2017-03-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

When we add a sharing option to a page such as

1) Search for ... Groups
2) Pick a group (eg Group1)
3) Pick which member type (eg Admin)

And save that you have an access rule for admins in Group1 only can see the page.

But if you go back and add another access rule and save then the member type bit is removed and nopw all members of the group can see the page

Robert Lyon (robertl-9) on 2017-03-21
Changed in mahara:
status: New → Confirmed
milestone: none → 17.04.0
Robert Lyon (robertl-9) on 2017-03-26
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/7564
Committed: https://git.mahara.org/mahara/mahara/commit/4908b12bbac6d89d1ac0f66f8fe9f6c1782cecf2
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 4908b12bbac6d89d1ac0f66f8fe9f6c1782cecf2
Author: Robert Lyon <email address hidden>
Date: Mon Mar 27 08:36:16 2017 +1300

Bug 1674801: Group roles to not be disabled fields in sharing form

Otherwise their value is not saved on subsequent form submission

behatnotneeded

Change-Id: Icb5a8ccea9bddd2775ed840cf636af1550c13d27
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-03-31
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7656
Committed: https://git.mahara.org/mahara/mahara/commit/3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7673
Committed: https://git.mahara.org/mahara/mahara/commit/f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers